Skip to main content
GET
/
api
/
restock-plans
/
{planId}
/
items
List restock plan items
curl --request GET \
  --url https://app.solya.app/api/restock-plans/{planId}/items \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "data": [
      {
        "id": "rsi-uuid-001",
        "quantity": 12,
        "shopId": "shop-uuid-paris-opera",
        "sizeId": "sz-uuid-43",
        "status": "TO_REVIEW",
        "variantId": "var-uuid-adidas-stan"
      }
    ],
    "total": 1,
    "totals": {
      "quantity": 12,
      "value": 540
    }
  }
}

Authorizations

Authorization
string
header
required

User session token issued by NextAuth. For human users accessing Solya via the web application.

Path Parameters

planId
string
required

Restock plan identifier

Minimum string length: 1

Query Parameters

Free-text search across product name, variant, size and SKU

brands
string

Comma-separated brand IDs to filter by

products
string

Comma-separated product IDs to filter by

sizes
string

Comma-separated size IDs to filter by

page
number
default:1

Page number, starting from 1

pageSize
number
default:10

Number of items per page

Response

Successful response

data
object
required
success
enum<boolean>
required
Available options:
true